/*
 *	Dummy volume manager for testing
 */

#include "nfsd.h"
#include "rpcmisc.h"
 
static int loaded = 0;
static unsigned long myclock;


int volume_load(nfs_mount *m)
{
	time(&myclock);
//	Dprintf(L_NOTICE, "Load %d\n", loaded);
	if(loaded)
		return 0;
	if(system("/bin/mount /dev/cdrom /var/cache/volumagic/cdrom"))
		return -1;
	loaded=1;
//	Dprintf(L_NOTICE, "Loaded ok\n");
	return 0;
}

void volume_unload_idle(void)
{
	if(loaded && time(NULL) - myclock > 8 )
	{
//		Dprintf(L_NOTICE, "Unload time\n");
		if(system("/bin/umount /dev/cdrom")==0)
			loaded=0;
//		Dprintf(L_NOTICE, "Unload done %d\n", loaded);
	}
}

void volume_unload(void)
{
	system("/bin/umount /dev/cdrom");
}

